ossl_pkcs12.h File Reference

Go to the source code of this file.

## Functions

void | Init_ossl_pkcs12 (void)

## Variables

VALUE | cPKCS12
VALUE | ePKCS12Error

## Function Documentation

void Init_ossl_pkcs12 | ( | void |  | ) |

Definition at line 195 of file ossl_pkcs12.c.

References cPKCS12, eOSSLError, ePKCS12Error, mOSSL, ossl_pkcs12_initialize(), ossl_pkcs12_s_allocate(), ossl_pkcs12_s_create(), ossl_pkcs12_to_der(), Qfalse, rb_attr(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method(), rb_define_singleton_method(), and rb_intern.

Referenced by Init_openssl().

## Variable Documentation

VALUE cPKCS12

Definition at line 33 of file ossl_pkcs12.c.

Referenced by Init_ossl_pkcs12(), and ossl_pkcs12_s_create().

VALUE ePKCS12Error

Definition at line 34 of file ossl_pkcs12.c.

Referenced by Init_ossl_pkcs12(), ossl_pkcs12_initialize(), ossl_pkcs12_s_allocate(), ossl_pkcs12_s_create(), and ossl_pkcs12_to_der().